
QGIS Application - Feature request #2712

API enhancement: zoomScale(double scale) on mapCanvas

2010-05-13 11:57 AM - Anita Graser

Status: Closed

Priority: Low

Assignee: Charles Timko -

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12772

Description

It would be nice to have a function that accepts a scale value and actually affects the scale of the map, so it can be used from inside a

python plugin.

iface.mapCanvas().mapRenderer().setScale(double scale) only affects the value in the scale box in the bottom right corner of QGIS

window.

Related forum thread: http://forum.qgis.org/viewtopic.php?f=5&#38;t=6572

History

#1 - 2010-05-13 12:08 PM - Charles Timko -

- Status changed from Open to In Progress

#2 - 2010-05-13 12:52 PM - Charles Timko -

I am leaving the closing of this ticket to someone of higher rank :-D

#3 - 2010-05-14 02:48 PM - Charles Timko -

- Resolution set to fixed

- Status changed from In Progress to Closed

Ignore patch.txt, because after I was able to fully test it I realized I left something out so it wasn't exposed yet.  bug2717fix.diff has been tested and

zoomScale is exposed and does work within Python.  ((And since i know this patch works I am resolving this bug))

#4 - 2010-05-17 09:36 AM - Jürgen Fischer

applied in commit:e88a80af (SVN r13518).  Thanks.

Files

patch.txt 1.04 KB 2010-05-13 Charles Timko -

bug2712fix.diff 1.45 KB 2010-05-14 Charles Timko -
